.btn-block {
    display: block;
    left: 386px;
    position: relative;
    text-align: center;
}

div .buttons {
    margin-top: 42px;
    text-align: end;
}

.row {
    border: 0px solid green;
}

input.ng-invalid {
    border: 1px solid red;
}

input.ng-valid {
    border: 1px solid green;
}